List all balances
curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/businessAccount/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"available": [
{
"amount": "3.14",
"currency": "USD"
}
],
"unsettled": [
{
"amount": "3.14",
"currency": "USD"
}
]
}
}{
"code": 401,
"message": "Malformed authorization."
}Retrieves the balance of funds that are available for use.
GET
/
v1
/
businessAccount
/
balances
List all balances
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The wallet ID of the wallet for which to retrieve the balances. If not provided, the default is the main wallet of the account.
You can get wallet IDs associated with your account using the Core API for Institutions.
Response
Successfully retrieved balances.
Available and unsettled balances of the merchant.
Show child attributes
Show child attributes
Was this page helpful?
⌘I